import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:mohem_flutter_app/app_state/app_state.dart';
import 'package:mohem_flutter_app/classes/colors.dart';
import 'package:mohem_flutter_app/extensions/string_extensions.dart';
import 'package:mohem_flutter_app/generated/locale_keys.g.dart';
import 'package:mohem_flutter_app/models/get_employee_basic_details.model.dart';
import 'package:mohem_flutter_app/models/member_information_list_model.dart';
import 'package:mohem_flutter_app/widgets/app_bar_widget.dart';
import 'package:mohem_flutter_app/widgets/button/default_button.dart';

class PesonalInfo extends StatefulWidget {
  const PesonalInfo({Key? key}) : super(key: key);

  @override
  _PesonalInfoState createState() => _PesonalInfoState();
}

class _PesonalInfoState extends State<PesonalInfo> {
  String? fullName = "";
  String? maritalStatus = "";
  String? birthDate = "";
  String? civilIdentityNumber = "";
  String? emailAddress = "";
  String? employeeNo = "";

  // List<GetEmployeeBasicDetailsList> getEmployeeBasicDetailsList = [];
  // MemberInformationListModel? _memberInformationList;

  late MemberInformationListModel memberInformationList;

  List<GetEmployeeBasicDetailsList> getEmployeeBasicDetailsList = [];

  @override
  void initState() {
    super.initState();
    memberInformationList = AppState().memberInformationList!;
  }

  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBarWidget(
          context,
          title: LocaleKeys.profile_personalInformation.tr(),
        ),
        backgroundColor: MyColors.backgroundColor,
        // bottomSheet:footer(),
        body: Column(
          children: [
            Container(
              width: double.infinity,
              margin: EdgeInsets.only(
                top: 28,
                left: 26,
                right: 26,
              ),
              padding: EdgeInsets.only(left: 14, right: 14, top: 13, bottom: 20),
              height: 350,
              decoration: BoxDecoration(
                boxShadow: [
                  BoxShadow(
                    color: Colors.grey.withOpacity(0.5),
                    spreadRadius: 5,
                    blurRadius: 26,
                    offset: Offset(0, 3),
                  ),
                ],
                color: Colors.white,
                borderRadius: BorderRadius.circular(10.0),
              ),
              child: Column(crossAxisAlignment: CrossAxisAlignment.start, children: [
                LocaleKeys.category.tr().toText13(color: MyColors.lightGrayColor),
                "${memberInformationList!.eMPLOYMENTCATEGORYMEANING}".toText16(isBold: true, color: MyColors.blackColor),
                SizedBox(
                  height: 20,
                ),
                LocaleKeys.address.tr().toText13(color: MyColors.lightGrayColor),
                "${memberInformationList!.lOCATIONNAME}".toText16(isBold: true, color: MyColors.blackColor),
                SizedBox(
                  height: 20,
                ),
                LocaleKeys.phoneNumber.tr().toText13(color: MyColors.lightGrayColor),
                "${memberInformationList!.eMPLOYEEMOBILENUMBER}".toText16(isBold: true, color: MyColors.blackColor),
                SizedBox(
                  height: 20,
                ),
                LocaleKeys.businessGroup.tr().toText13(color: MyColors.lightGrayColor),
                "${memberInformationList!.bUSINESSGROUPNAME}".toText16(isBold: true, color: MyColors.blackColor),
                SizedBox(
                  height: 20,
                ),
                LocaleKeys.Payroll.tr().toText13(color: MyColors.lightGrayColor),
                "${memberInformationList!.pAYROLLNAME}".toText16(isBold: true, color: MyColors.blackColor),
              ]),
            ),
          ],
        ));
  }

  Widget footer() {
    return Container(
      decoration: BoxDecoration(
        // borderRadius: BorderRadius.circular(10),
        color: MyColors.white,
        boxShadow: [
          BoxShadow(color: MyColors.lightGreyEFColor, spreadRadius: 3),
        ],
      ),
      child: DefaultButton(LocaleKeys.update.tr(), () async {}).insideContainer,
    );
  }
}
